package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecUseH;
import com.ruoyi.ems.model.ElecUseSta;
import com.ruoyi.ems.model.QueryIndex;

import java.util.List;

/**
 * 用能计量-小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-15
 */
@Deprecated
public interface ElecUseHMapper {
    /**
     * 查询用能计量-小时
     *
     * @param id 用能计量-小时主键
     * @return 用能计量-小时
     */
    ElecUseH selectElecUseHById(Long id);

    /**
     * 查询用能计量-小时列表
     *
     * @param elecUseH 用能计量-小时
     * @return 用能计量-小时集合
     */
    List<ElecUseH> selectElecUseHList(ElecUseH elecUseH);

    List<ElecUseH> selectElecUseDayList(QueryIndex queryIndex);

    List<ElecUseH> selectElecUseHListSum(ElecUseH elecUseH);

    /**
     * 根据设施子类合并统计
     *
     * @param elecUseH 条件
     * @return 结果
     */
    List<ElecUseSta> selectSumBySubCategory(ElecUseH elecUseH);

    /**
     * 根据设施子类合并统计
     *
     * @param elecUseH 条件
     * @return 结果
     */
    List<ElecUseSta> selectSumByFacs(ElecUseH elecUseH);

    /**
     * 新增用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int insertElecUseH(ElecUseH elecUseH);

    /**
     * 修改用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int updateElecUseH(ElecUseH elecUseH);

    /**
     * 删除用能计量-小时
     *
     * @param id 用能计量-小时主键
     * @return 结果
     */
    int deleteElecUseHById(Long id);

    /**
     * 批量删除用能计量-小时
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteElecUseHByIds(Long[] ids);
}
